## what is WHOIS?

WHOIS is a network protocol used to query a database that contains information about domain name registrations and IP address assignments. The WHOIS database is maintained by various organizations, including Internet Service Providers (ISPs), domain name registrars, and regional Internet registries.


## Common use and commands:
The most common use of WHOIS is to obtain information about a particular domain name or IP address. To use WHOIS, simply enter the domain name or IP address in a WHOIS lookup tool, which will query the appropriate WHOIS server and return the relevant information.

WHOIS
```Terminal
whois DOMAIN_NAME
```

- Registrar        ---> Via which registrar was the domain name registered?
- Contact          ---> Name, organization, address, phone, among other things.
- Name Server  ---> Which server to ask to resolve the domain name?
- Creation, update, and expiration dates

## More Information
For more information on WHOIS, including how to perform WHOIS lookups and advanced queries, users can refer to the tool's documentation or the website of a WHOIS lookup tool provider, such as ICANN (Internet Corporation for Assigned Names and Numbers) or WHOIS.net. Additionally, the source code for many WHOIS clients and servers is available on GitHub: [https://github.com/topics/whois](https://github.com/topics/whois).