## What is Joomla Scanner?
OWASP Joomla! Vulnerability Scanner (JoomScan) is an open source project, developed with the aim of automating the task of vulnerability detection and reliability assurance in Joomla CMS deployments. Implemented in Perl, this tool enables seamless and effortless scanning of Joomla installations, while leaving a minimal footprint with its lightweight and modular architecture. It not only detects known offensive vulnerabilities, but also is able to detect many misconfigurations and admin-level shortcomings that can be exploited by adversaries to compromise the system. Furthermore, OWASP JoomScan provides a user-friendly interface and compiles the final reports in both text and HTML formats for ease of use and minimization of reporting overheads.  

- What does it do
	- Version enumerator
	- Vulnerability enumerator (based on version)
	- Components enumerator (1209 most popular by default)
	- Components vulnerability enumerator (based on version)(+1030 exploit)
	- Firewall detector
	- Reporting to Text & HTML output
	- Finding common log files
	- Finding common backup files

## Common Use and Commands
To use Joomla Scanner, you need to download and install it on your local machine or server. Once installed, you can run Joomla Scanner with the following command:

```
perl joomscan.pl -u IP
```

- -u      ---> URL (IP)

video: https://www.youtube.com/watch?v=Ik2CJ9LkuoI

## More Information
If you want to learn more about Joomla Scanner or contribute to its development, you can check out the official Github repository: https://www.kali.org/tools/joomscan/





