## What is Python Upload Server?
In the world of web development, the ability to upload files is a crucial feature that is often required for web applications. Fortunately, Python provides several easy-to-use libraries for building web servers with file upload functionality. One such library is `uploadserver`, which can be easily installed with `pip3`. Once installed, the library allows you to start a pre-configured web server with file upload capabilities. In this set of notes, we'll explore how to install and use `uploadserver` to build a web server with file upload functionality.

## Common Uses and Commands
1. Install the pre-configured web server with pip3:
```
pip3 install uploadserver
```

2. Start the web server and notice the file upload is available at /upload 
```
python3 -m uploadserver
```

3. Visit the server and the upload page
```
127.0.0.1:8000/upload or IP:8000/upload
```