
## General

To access an Active Directory, there are various methods available, but two of the most common are using SSH and Remmina. Remmina is typically used when a user needs to remotely access a Windows machine and access the GUI interface for additional information. SSH, on the other hand, is used to gather more information about the Active Directory through the command line interface. SSH is known for its ability to provide secure remote access to servers.


## SSH

SSH (Secure Shell) is a protocol that enables secure, encrypted communication between a client and a server. One way to use SSH is to log in to an Active Directory (AD) server. SSH allows an administrator to access command line interface of the AD server remotely, securely and authenticate the session.

Command
```
ssh DOMAIN_NAME\\USER@SERVER(OR DNS NAME of the machine (Ex: THM.tryhackme.com))
```


## Remmina

Remmina is an open-source, cross-platform remote desktop client for Linux, Unix and Windows. It allows users to remotely access and control other computers through a graphical user interface (GUI). Remmina supports various protocols for remote access, including RDP (Remote Desktop Protocol), VNC (Virtual Network Computing), SFTP (Secure File Transfer Protocol) and SSH (Secure Shell).

1.  Open Remmina and click on the "New" button to create a new connection.
2.  In the connection settings, set the protocol to "RDP" (or "VNC" or "SFTP" depening on the remote server type) and enter the IP address or hostname of the Active Directory server.
3.  Provide your login credentials, including your username and password for the Active Directory server
4.  Click on the "Connect" button to establish the connection
5.  If the connection is successful, you will be logged in to the Active Directory server and have access to its resources

Please note that these are general steps, some additional steps might be needed depending on the specific setup and configurations of the Active Directory server.
